Retrieve regions’ dump

Retrieve regions’ dump

#affiliate

https://api-sandbox.worldota.net/api/b2b/v3/hotel/region/dump/
https://api.worldota.net/api/b2b/v3/hotel/region/dump/

The call gets the dump with the hotels of all available ETG regions.

ℹ️
The dump should be updated every week.

The ETG generates one archive only.

⚠️
  • The dump download link you receive from the API is temporary and will expire 1 hour after being issued. To download the dump, you must call the API method each time to obtain a fresh, valid link.
  • Content indexing isn’t allowed.

Sandbox limitations

⚠️
Use only field values, IDs, API keys, and any static content from the sandbox environment within the sandbox. Do not use sandbox data in test or production environments, and do not mix data or configuration between different environments.
  • In the dump, the number of items is 1000.
  • For all objects with the region_id field, the possible values are: 2011, 2395, 2734, and 6053839.
  • For all objects containing the currency_code field, its value is always EUR.

Request example

curl --user '<KEY_ID>:<API_KEY>' 'https://api-sandbox.worldota.net/api/b2b/v3/hotel/region/dump/'
curl --user '<KEY_ID>:<API_KEY>' 'https://api.worldota.net/api/b2b/v3/hotel/region/dump/'

Response

Response example

{
  "data": {
    "last_update": "2020-07-01T00:38:13Z",
    "url": "https://.../partner_feed_v3_en.jsonl.zst?..." // link valid for 1 hour
  },
  "debug": null,
  "error": null,
  "status": "ok"
}

Errors

The error field has the value specified in the headers below.

dump_not_ready

The dump is in processing. Try to send the request later.